Documentation
Sign inGet started

Update a webhook endpoint

PATCH
/v1/webhooks/{webhook_id}
curl -X PATCH "https://us1.platform.bird.com/v1/webhooks/{webhook_id}" \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'
Updates one or more fields on the webhook endpoint. All fields are optional. Setting status to "active" re-enables a paused endpoint.
Cuerpo de la solicitud
url
string
New HTTPS URL to deliver events to.
description
string
Human-readable label for this endpoint.
events
array of string
Replacement set of event type subscriptions.
status
string
Set to "active" to re-enable a paused endpoint, or "paused" to stop delivery.
Carga de respuesta
id
string
obligatorio
url
string
obligatorio
description
string
events
array of string
obligatorio
Concrete event types this endpoint is subscribed to.
status
string
obligatorio
created_at
string
obligatorio
updated_at
string
obligatorio